Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444918 - app-arch/libarchive-3.0.4-r1 -- getvfsbyname failed error occurs, doesn't work in x86 chroot on amd64-fbsd
Summary: app-arch/libarchive-3.0.4-r1 -- getvfsbyname failed error occurs, doesn't wor...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: FreeBSD (show other bugs)
Hardware: AMD64 FreeBSD
: Normal normal (vote)
Assignee: Gentoo/BSD Team
URL: http://svnweb.freebsd.org/base?view=r...
Whiteboard:
Keywords:
Depends on:
Blocks: new-fbsd-stage broken-system
  Show dependency tree
 
Reported: 2012-11-27 11:33 UTC by Yuta SATOH
Modified: 2017-07-22 21:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for freebsd-sources-9.1_rc3.ebuild (444918.patch,418 bytes, patch)
2012-11-27 11:36 UTC, Yuta SATOH
Details | Diff
files/freebsd-sources-9.1-MFC-r239588.patch (freebsd-sources-9.1-MFC-r239588.patch,3.00 KB, patch)
2012-11-27 11:38 UTC, Yuta SATOH
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuta SATOH 2012-11-27 11:33:33 UTC
This problem has been fixed in the upstream (see URL).
However, fix is not included in FreeBSD 9.1

If you feel need, please add patch to freebsd-sources-9.1_rc3

Note,
need to rebuild kernel.



Reproducible: Always

Steps to Reproduce:
1. mkdir /i386
2. tar xjpf stage3-i686-freebsd-9.0.tar.bz2 -C /i386
3. cd /i386
4. mkdir `pwd`/usr/portage
5. mount -t devfs devfs `pwd`/dev
6. mount -t nullfs /usr/portage `pwd`/usr/portage
7. mount -t nullfs /usr/portage/distfiles `pwd`/usr/portage/distfiles
8. chroot /i386 /bin/bash
9. emerge libarchive
10. cd /usr/share/gnuconfig
11. tar cjpf /tmp/test.tar.bz2 .

Actual Results:  
# tar cjpf /tmp/test.tar.bz2 .
tar: getvfsbyname failed: No such file or directory
tar: Error exit delayed from previous errors.
Comment 1 Yuta SATOH 2012-11-27 11:36:22 UTC
Created attachment 330718 [details, diff]
patch for freebsd-sources-9.1_rc3.ebuild
Comment 2 Yuta SATOH 2012-11-27 11:38:48 UTC
Created attachment 330720 [details, diff]
files/freebsd-sources-9.1-MFC-r239588.patch
Comment 3 Samuli Suominen gentoo-dev 2013-01-15 07:29:10 UTC
How about 3.1.1?
Comment 4 Yuta SATOH 2013-01-15 12:22:54 UTC
(In reply to comment #3)
> How about 3.1.1?

Issues has not been resolved in 3.1.1.

This issues has been fixed in FreeBSD 9.2 or later version.
or apply attached patch to kernel.
Comment 5 Yuta SATOH 2017-07-22 21:25:30 UTC
freebsd-sources-9.1 is too old. Please use the newer version.
closing.